#ifndef DRAW_H_
#define DRAW_H_

#include <gtk/gtk.h>
#include "Vertex.h"
#include "EditManager.h"
#include "Level.h"


gboolean drawTopView(GtkWidget *widget, GdkEventExpose *event, Level *level, EditManager *editor);

float getScale();
void setScale(float s);

void imageToView(Level *level, Vertex *v);
void viewToImage(Level *level, Vertex *v);

float getImageWidth(Level *level);
float getImageHeight(Level *level);

float getXTranslate();
void setXTranslate(float x);
float getYTranslate();
void setYTranslate(float y);

#endif /*DRAW_H_*/
